package com.neusoft.smart.pos.card.persistent.mapper;

import com.neusoft.smart.pos.card.persistent.domain.CardRefundOrder;
import com.neusoft.smart.pos.card.persistent.domain.CardRefundOrderExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CardRefundOrderMapper {
    int countByExample(CardRefundOrderExample example);

    int deleteByExample(CardRefundOrderExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(CardRefundOrder record);

    int insertSelective(CardRefundOrder record);

    List<CardRefundOrder> selectByExample(CardRefundOrderExample example);

    CardRefundOrder selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") CardRefundOrder record, @Param("example") CardRefundOrderExample example);

    int updateByExample(@Param("record") CardRefundOrder record, @Param("example") CardRefundOrderExample example);

    int updateByPrimaryKeySelective(CardRefundOrder record);

    int updateByPrimaryKey(CardRefundOrder record);

    void batchInsert(@Param("items") List<CardRefundOrder> items);
}